## org.apache.batik.bridge
Class SVGPatternElementBridge.PatternGraphicsNode

    java.lang.Object
      org.apache.batik.gvt.AbstractGraphicsNode
          org.apache.batik.bridge.SVGPatternElementBridge.PatternGraphicsNode

All Implemented Interfaces:
  GraphicsNode

Enclosing class:
  SVGPatternElementBridge

    public static class SVGPatternElementBridge.PatternGraphicsNode

extends AbstractGraphicsNode

Field Summary

Fields inherited from class org.apache.batik.gvt.AbstractGraphicsNode
`changeCompletedEvent, changeStartedEvent, clip, composite, enableBackgroundGraphicsNodeRable, filter, graphicsNodeRable, hints, inverseTransform, isVisible, listeners, mask, parent, pointerEventType, root, transform, weakRef`

Fields inherited from interface org.apache.batik.gvt.GraphicsNode
`ALL, FILL, IDENTITY, NONE, PAINTED, STROKE, VISIBLE, VISIBLE_FILL, VISIBLE_PAINTED, VISIBLE_STROKE`

Constructor Summary
`SVGPatternElementBridge.PatternGraphicsNode(GraphicsNode gn)`

Method Summary
`java.awt.geom.Rectangle2D` `getGeometryBounds()` Returns the bounds of the area covered by this node, without taking any of its rendering attribute into account.
`java.awt.Shape` `getOutline()` Returns the outline of this node.
`java.awt.geom.Rectangle2D` `getPrimitiveBounds()` Returns the bounds of the area covered by this node's primitive paint.
`java.awt.geom.Rectangle2D` `getSensitiveBounds()` Returns the bounds of the sensitive area covered by this node, This includes the stroked area but does not include the effects of clipping, masking or filtering.
`protected void` `invalidateGeometryCache()` Invalidates the cached geometric bounds.
`void` `primitivePaint(java.awt.Graphics2D g2d)` Paints this node without applying Filter, Mask, Composite, and clip.

Methods inherited from class org.apache.batik.gvt.AbstractGraphicsNode

`contains, fireGraphicsNodeChangeCompleted, fireGraphicsNodeChangeStarted, fireGraphicsNodeChangeStarted, fireGraphicsNodeChangeStarted, getBounds, getClip, getComposite, getEnableBackgroundGraphicsNodeRable, getFilter, getGlobalTransform, getGraphicsNodeRable, getInverseTransform, getMask, getParent, getPointerEventType, getRenderingHints, getRoot, getTransform, getTransformedBounds, getTransformedGeometryBounds, getTransformedPrimitiveBounds, getTransformedSensitiveBounds, getWeakReference, intersects, isAntialiasedClip, isOffscreenBufferNeeded, isVisible, nodeHitAt, normalizeRectangle, paint, setClip, setComposite, setFilter, setMask, setParent, setPointerEventType, setRenderingHint, setRenderingHints, setRenderingHints, setRoot, setTransform, setVisible`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### SVGPatternElementBridge.PatternGraphicsNode

    public SVGPatternElementBridge.PatternGraphicsNode(GraphicsNode gn)

Method Detail

### primitivePaint

    public void primitivePaint(java.awt.Graphics2D g2d)

  Description copied from interface: `GraphicsNode`
  Paints this node without applying Filter, Mask, Composite, and clip.

  Parameters:
    `g2d` - the Graphics2D to use

### getPrimitiveBounds

    public java.awt.geom.Rectangle2D getPrimitiveBounds()

  Description copied from interface: `GraphicsNode`
  Returns the bounds of the area covered by this node's primitive paint. This is the painted region of fill and stroke but does not account for clipping, masking or filtering.

### getGeometryBounds

    public java.awt.geom.Rectangle2D getGeometryBounds()

  Description copied from interface: `GraphicsNode`
  Returns the bounds of the area covered by this node, without taking any of its rendering attribute into account. That is, exclusive of any clipping, masking, filtering or stroking, for example.

### getSensitiveBounds

    public java.awt.geom.Rectangle2D getSensitiveBounds()

  Description copied from interface: `GraphicsNode`
  Returns the bounds of the sensitive area covered by this node, This includes the stroked area but does not include the effects of clipping, masking or filtering.

### getOutline

    public java.awt.Shape getOutline()

  Description copied from interface: `GraphicsNode`
  Returns the outline of this node.

### invalidateGeometryCache

    protected void invalidateGeometryCache()

  Description copied from class: `AbstractGraphicsNode`
  Invalidates the cached geometric bounds. This method is called each time an attribute that affects the bounds of this node changed.

  Overrides:
    `invalidateGeometryCache` in class `AbstractGraphicsNode`

Copyright © 2008 Apache Software Foundation. All Rights Reserved.